package geniusweb.opponentmodel;

import geniusweb.issuevalue.Bid;
import geniusweb.profile.Profile;
import geniusweb.profile.utilityspace.UtilitySpace;

/**
 * An opponentmodel estimates a {@link UtilitySpace} from received opponent
 * bids.
 */
public interface OpponentModel extends Profile {
	/**
	 *
	 * @param bid the next bid that was received
	 * @return a new {@link OpponentModel} that takes the next bid into account.
	 */
	OpponentModel update(Bid bid);

}
